#include <bits/stdc++.h>
using namespace std;

long long value(int r, int c);

std::pair<int, int> find_locmin_point(int N, int M) {
    int l = 1, r = M;
    while (l < r) {
        if (l + 1 == r) {
            if (value(1, l) > value(1, r)) return make_pair(1, l);
            else return make_pair(1, r);
        }
        int m = (l + r) / 2;
        int x = value(1, m-1), y = value(1, m + 1), t = value(1, m);
        if (t < x && t < y) return make_pair(1, m);
        if (t > x) {
            r = m - 1;
        } else {
            l = m + 1;
        }
    }
    return make_pair(1, l);
}